Name:           kirc
Version:        0.2.3
Release:        1%{?dist}
Summary:        Tiny IRC client written in POSIX C99

License:        MIT
URL:            https://github.com/mcpcpc/kirc
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  make

%description
kirc ("KISS for IRC") is a tiny open-source Internet Relay Chat (IRC) client
designed with usability and cross-platform compatibility in mind.

%prep
%autosetup

%build
%make_build \
  CFLAGS="%{optflags}" \
  LDFLAGS="%{build_ldflags}"

%install
%make_install PREFIX="%{_prefix}"

%files
%license LICENSE
%doc README
%{_bindir}/kirc
%{_mandir}/man1/kirc.1.gz

%changelog
* Sun Jan 24 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.2.3-1
- Initial package
